TokenFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.TokenFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class TokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter

Direct Known Subclasses:
  BrazilianStemFilter, CachingTokenFilter, ChineseFilter, CompoundWordTokenFilterBase, DutchStemFilter, EdgeNGramTokenFilter, ElisionFilter, FrenchStemFilter, GermanStemFilter, GreekLowerCaseFilter, ISOLatin1AccentFilter, LengthFilter, LowerCaseFilter, NGramTokenFilter, NumericPayloadTokenFilter, PorterStemFilter, RussianLowerCaseFilter, RussianStemFilter, ShingleFilter, SnowballFilter, StandardFilter, StopFilter, SynonymTokenFilter, TeeTokenFilter, ThaiWordFilter, TokenOffsetPayloadTokenFilter, TypeAsPayloadTokenFilter

    public abstract class TokenFilter

extends TokenStream

A TokenFilter is a TokenStream whose input is another token stream.

This is an abstract class. NOTE: subclasses must override `TokenStream.next(Token)`. It's also OK to instead override `TokenStream.next()` but that method is now deprecated in favor of `TokenStream.next(Token)`.

Field Summary
`protected TokenStream` | `input` The source of tokens for this filter.

Constructor Summary
`protected` | `TokenFilter(TokenStream input)` Construct a token stream filtering the given input.

Method Summary
`void` | `close()` Close the input TokenStream.
`void` | `reset()` Reset the filter as well as the input TokenStream.

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected TokenStream input

  The source of tokens for this filter.

Constructor Detail

### TokenFilter

    protected TokenFilter(TokenStream input)

  Construct a token stream filtering the given input.

Method Detail

### close

    public void close()
               throws IOException

  Close the input TokenStream.

  Overrides:
    `close` in class `TokenStream`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Reset the filter as well as the input TokenStream.

  Overrides:
    `reset` in class `TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.